com.tibbo.aggregate.common.action

## Class ServerActionCommandProcessor

- java.lang.Object
- - com.tibbo.aggregate.common.action.ServerActionCommandProcessor

-     public class ServerActionCommandProcessor
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerActionCommandProcessor(ServerAction action)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `activateDashboard(java.lang.String name)`
    `void` | `activateDashboard(java.lang.String nameString, DataTable parameters)`
    `void` | `activateDashboard(java.lang.String nameString, java.lang.String windowPathString)`
    `void` | `browse(java.net.URI url)`
    `int` | `confirm(RequestIdentifier id, boolean group, java.lang.String title, java.lang.String message, int optionType, int messageType)`
    `boolean` | `confirm(java.lang.String message)`
    `DataTable` | `editCode(java.lang.String title, java.lang.String code, java.lang.String mode, boolean compile, ComponentLocation componentLocation)`
    `java.lang.String` | `editCode(java.lang.String title, java.lang.String code, java.lang.String mode, ComponentLocation componentLocation)`
    `void` | `editDashboard(java.lang.String contextPath, java.lang.String defaultContext)`
    `DataTable` | `editData(EditData cmd, EditDataMerger merger)`
    `DataTable` | `editData(RequestIdentifier id, EditDataMerger merger, boolean group, java.lang.String title, DataTable data, boolean useDockableFrame, boolean readonly, java.lang.String iconId, java.lang.String helpId, java.lang.String help, Context defaultContext, WindowLocation location, DashboardProperties dashboard, java.lang.String expression, java.lang.Long period, boolean showToolbar, java.lang.Boolean showHeader, java.lang.Boolean showLineNumbers, java.lang.Boolean horizontalScrolling, ComponentLocation componentLocation)`
    `DataTable` | `editData(RequestIdentifier id, EditDataMerger merger, boolean group, java.lang.String title, DataTable data, boolean useDockableFrame, boolean readonly, java.lang.String iconId, java.lang.String helpId, java.lang.String help, Context defaultContext, WindowLocation location, DashboardProperties dashboard, java.lang.String expression, java.lang.Long period, ComponentLocation componentLocation)`
    `DataTable` | `editData(RequestIdentifier id, EditDataMerger merger, boolean group, java.lang.String title, DataTable data, ComponentLocation componentLocation)`
    `DataTable` | `editData(RequestIdentifier id, java.lang.String title, DataTable data)`
    `DataTable` | `editData(java.lang.String title, DataTable data, boolean showResultInDockableFrame, boolean readonly)`
    `DataTable` | `editData(java.lang.String title, DataTable data, boolean showResultInDockableFrame, boolean readonly, java.lang.String iconId, java.lang.String helpId, java.lang.String help, Context defaultContext, WindowLocation location, DashboardProperties dashboard, java.lang.String expression, java.lang.Long period, ComponentLocation componentLocation)`
    `DataTable` | `editData(java.lang.String title, DataTable data, boolean showResultInDockableFrame, boolean readonly, java.lang.String iconId, java.lang.String helpId, java.lang.String help, WindowLocation location, DashboardProperties dashboard, ComponentLocation componentLocation)`
    `DataTable` | `editData(java.lang.String title, DataTable data, boolean readonly, java.lang.String helpId, java.lang.String help, ComponentLocation componentLocation)`
    `DataTable` | `editData(java.lang.String title, DataTable data, ComponentLocation componentLocation)`
    `DataTable` | `editData(java.lang.String title, DataTable data, java.lang.String iconId, java.lang.String helpId, java.lang.String help, ComponentLocation componentLocation)`
    `java.lang.String` | `editProcessControlProgram(java.lang.String title, java.lang.String defaultContext, java.lang.String widgetContext, java.lang.String widget, int editMode)`
    `EditPropertiesResult` | `editProperties(java.lang.String title, boolean readOnly, boolean dynamic, boolean useDockableFrame, boolean singleWindowMode, java.lang.String contextName, java.util.List<java.lang.String> slaves, WindowLocation location, DashboardProperties dashboard, ComponentLocation componentLocation, java.lang.String defaultGroup, DataTable additionalActions, java.lang.String... properties)`
    `EditPropertiesResult` | `editProperties(java.lang.String title, boolean readOnly, boolean dynamic, boolean useDockableFrame, boolean singleWindowMode, java.lang.String contextName, java.util.List<java.lang.String> slaves, WindowLocation location, DashboardProperties dashboard, java.lang.String propertiesGroup, ComponentLocation componentLocation, java.lang.String defaultGroup, DataTable additionalActions)`
    `DataTable` | `editReport(java.lang.String title, java.lang.String template, DataTable data, DataTable subreports, DataTable resources)`
    `protected java.lang.String` | `editTemplate(java.lang.String type, java.lang.String title, java.lang.String defaultContext, java.lang.String widgetContext, java.lang.String widget, int editMode)`
    `protected java.lang.String` | `editTemplate(java.lang.String type, java.lang.String title, java.lang.String defaultContext, java.lang.String widgetContext, java.lang.String widget, int editMode, ComponentLocation componentLocation)`
    `java.lang.String` | `editText(java.lang.String title, java.lang.String text, java.lang.String mode, ComponentLocation componentLocation)`
    `java.lang.String` | `editWidget(java.lang.String title, java.lang.String defaultContext, java.lang.String widgetContext, java.lang.String widget)`
    `java.lang.String` | `editWorkflow(java.lang.String title, java.lang.String defaultContext, java.lang.String widgetContext, java.lang.String widget, ComponentLocation componentLocation)`
    `ServerContext` | `fetchDnDSourceContext(java.lang.String title, ActionDefinition actionDefinition, ServerActionInput actionParams, CallerController callerController)`
    `ServerContext` | `fetchDnDSourceContext(java.lang.String title, ActionDefinition actionDefinition, ServerActionInput actionParams, CallerController callerController, java.lang.String expandedContext)`
    `java.util.List<ServerContext>` | `fetchDnDSourceContexts(java.lang.String title, ActionDefinition actionDefinition, ServerActionInput actionParams, CallerController callerController)`
    `java.util.List<ServerContext>` | `fetchDnDSourceContexts(java.lang.String title, ActionDefinition actionDefinition, ServerActionInput actionParams, CallerController callerController, java.lang.String expandedContext)`
    `ServerContext` | `getDnDSourceContext(ServerActionInput actionParams, CallerController callerController)`
    `GenericActionResponse` | `launchProcessControlProgram(java.lang.String title, java.lang.String widgetContext, java.lang.String defaultContext, java.lang.String encodedWidgetTemplate, WindowLocation location, DashboardProperties dp, DataTable input)`
    `GenericActionResponse` | `launchWidget(java.lang.String title, java.lang.String widgetContext, java.lang.String defaultContext, java.lang.String encodedWidgetTemplate, WindowLocation location, DashboardProperties dp, DataTable input, DataTable widgetSettings, ComponentLocation componentLocation)`
    `void` | `openDashboard(java.lang.String fullContextPath, java.lang.String contextPath, java.lang.String defaultContext, WebWindowLocation location, ComponentLocation componentLocation)`
    `void` | `openEvaluateExpressionEditorDialog(ComponentLocation componentLocation)`
    `java.lang.String` | `selectContext(java.lang.String title, java.lang.Class contextClass, java.lang.String defaultContext, java.lang.String expandedContext, ComponentLocation componentLocation)`
    `java.util.List<Reference>` | `selectEntities(RequestIdentifier id, java.lang.String title, java.util.Collection<java.lang.String> contextTypes, java.lang.String rootContext, java.lang.String defaultContext, java.lang.String expandedContext, boolean showChildren, boolean allowMasks, boolean showVars, boolean showFuncs, boolean showEvents, boolean showFields, boolean singleSelection, boolean useCheckboxes, ComponentLocation componentLocation)`
    `GenericActionResponse` | `send(GenericActionCommand cmd)`
    `void` | `showDiff(java.lang.String title, java.lang.String firstFileTitle, java.lang.String firstFile, java.lang.String secondFileTitle, java.lang.String secondFile, ComponentLocation componentLocation)`
    `void` | `showError(java.lang.String title, int level, java.lang.String message, java.lang.Throwable ex)`
    `void` | `showError(java.lang.Throwable ex)`
    `java.lang.Integer` | `showEventLog(java.lang.String title, EntityList eventList, boolean showRealtime, boolean showHistory, boolean preloadHistory, boolean showContexts, boolean showNames, boolean showLevels, boolean showAcknowledgements, boolean showEnrichments, java.lang.Integer customListenerCode, WindowLocation location, DashboardProperties dashboard, ComponentLocation componentLocation)`
    `DataTable` | `showGuide(java.lang.String title, java.lang.String invokerContext, java.lang.String macroName)`
    `void` | `showMessage(java.lang.String message)`
    `void` | `showMessage(java.lang.String title, java.lang.String message)`
    `void` | `showMessage(java.lang.String title, java.lang.String message, int level)`
    `void` | `showReport(java.lang.String title, byte[] reportData, WindowLocation location, DashboardProperties dashboard)`
    `void` | `showReport(java.lang.String title, byte[] reportData, WindowLocation location, DashboardProperties dashboard, java.lang.String reportFormat, java.lang.String fileName)`
    `void` | `showSystemTree(java.lang.String title, java.util.Collection<java.lang.String> roots, ComponentLocation componentLocation)`
    `void` | `showSystemTree(java.lang.String title, ComponentLocation componentLocation, java.lang.String... roots)`
    `void` | `showSystemTree(java.lang.String title, Context root, ComponentLocation componentLocation)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerActionCommandProcessor

          public ServerActionCommandProcessor(ServerAction action)

  - ### Method Detail

    - #### fetchDnDSourceContext

          public ServerContext fetchDnDSourceContext(java.lang.String title,
                                                     ActionDefinition actionDefinition,
                                                     ServerActionInput actionParams,
                                                     CallerController callerController)
                                              throws ContextException

      Throws:
        `ContextException`

    - #### fetchDnDSourceContext

          public ServerContext fetchDnDSourceContext(java.lang.String title,
                                                     ActionDefinition actionDefinition,
                                                     ServerActionInput actionParams,
                                                     CallerController callerController,
                                                     java.lang.String expandedContext)
                                              throws ContextException

      Throws:
        `ContextException`

    - #### fetchDnDSourceContexts

          public java.util.List<ServerContext> fetchDnDSourceContexts(java.lang.String title,
                                                                      ActionDefinition actionDefinition,
                                                                      ServerActionInput actionParams,
                                                                      CallerController callerController)
                                                               throws ContextException

      Throws:
        `ContextException`

    - #### fetchDnDSourceContexts

          public java.util.List<ServerContext> fetchDnDSourceContexts(java.lang.String title,
                                                                      ActionDefinition actionDefinition,
                                                                      ServerActionInput actionParams,
                                                                      CallerController callerController,
                                                                      java.lang.String expandedContext)
                                                               throws ContextException

      Throws:
        `ContextException`

    - #### getDnDSourceContext

          public ServerContext getDnDSourceContext(ServerActionInput actionParams,
                                                   CallerController callerController)

    - #### send

          public GenericActionResponse send(GenericActionCommand cmd)

    - #### confirm

          public boolean confirm(java.lang.String message)

    - #### confirm

          public int confirm(RequestIdentifier id,
                             boolean group,
                             java.lang.String title,
                             java.lang.String message,
                             int optionType,
                             int messageType)

    - #### editData

          public DataTable editData(java.lang.String title,
                                    DataTable data,
                                    boolean showResultInDockableFrame,
                                    boolean readonly)

    - #### editData

          public DataTable editData(java.lang.String title,
                                    DataTable data,
                                    boolean showResultInDockableFrame,
                                    boolean readonly,
                                    java.lang.String iconId,
                                    java.lang.String helpId,
                                    java.lang.String help,
                                    WindowLocation location,
                                    DashboardProperties dashboard,
                                    ComponentLocation componentLocation)

    - #### editData

          public DataTable editData(java.lang.String title,
                                    DataTable data,
                                    boolean showResultInDockableFrame,
                                    boolean readonly,
                                    java.lang.String iconId,
                                    java.lang.String helpId,
                                    java.lang.String help,
                                    Context defaultContext,
                                    WindowLocation location,
                                    DashboardProperties dashboard,
                                    java.lang.String expression,
                                    java.lang.Long period,
                                    ComponentLocation componentLocation)

    - #### editData

          public DataTable editData(java.lang.String title,
                                    DataTable data,
                                    java.lang.String iconId,
                                    java.lang.String helpId,
                                    java.lang.String help,
                                    ComponentLocation componentLocation)

    - #### editData

          public DataTable editData(java.lang.String title,
                                    DataTable data,
                                    boolean readonly,
                                    java.lang.String helpId,
                                    java.lang.String help,
                                    ComponentLocation componentLocation)

    - #### editData

          public DataTable editData(java.lang.String title,
                                    DataTable data,
                                    ComponentLocation componentLocation)

    - #### editData

          public DataTable editData(RequestIdentifier id,
                                    java.lang.String title,
                                    DataTable data)

    - #### editData

          public DataTable editData(RequestIdentifier id,
                                    EditDataMerger merger,
                                    boolean group,
                                    java.lang.String title,
                                    DataTable data,
                                    ComponentLocation componentLocation)

    - #### editData

          public DataTable editData(RequestIdentifier id,
                                    EditDataMerger merger,
                                    boolean group,
                                    java.lang.String title,
                                    DataTable data,
                                    boolean useDockableFrame,
                                    boolean readonly,
                                    java.lang.String iconId,
                                    java.lang.String helpId,
                                    java.lang.String help,
                                    Context defaultContext,
                                    WindowLocation location,
                                    DashboardProperties dashboard,
                                    java.lang.String expression,
                                    java.lang.Long period,
                                    ComponentLocation componentLocation)

    - #### editData

          public DataTable editData(RequestIdentifier id,
                                    EditDataMerger merger,
                                    boolean group,
                                    java.lang.String title,
                                    DataTable data,
                                    boolean useDockableFrame,
                                    boolean readonly,
                                    java.lang.String iconId,
                                    java.lang.String helpId,
                                    java.lang.String help,
                                    Context defaultContext,
                                    WindowLocation location,
                                    DashboardProperties dashboard,
                                    java.lang.String expression,
                                    java.lang.Long period,
                                    boolean showToolbar,
                                    java.lang.Boolean showHeader,
                                    java.lang.Boolean showLineNumbers,
                                    java.lang.Boolean horizontalScrolling,
                                    ComponentLocation componentLocation)

    - #### editData

          public DataTable editData(EditData cmd,
                                    EditDataMerger merger)

    - #### editProperties

          public EditPropertiesResult editProperties(java.lang.String title,
                                                     boolean readOnly,
                                                     boolean dynamic,
                                                     boolean useDockableFrame,
                                                     boolean singleWindowMode,
                                                     java.lang.String contextName,
                                                     java.util.List<java.lang.String> slaves,
                                                     WindowLocation location,
                                                     DashboardProperties dashboard,
                                                     java.lang.String propertiesGroup,
                                                     ComponentLocation componentLocation,
                                                     java.lang.String defaultGroup,
                                                     DataTable additionalActions)

    - #### editProperties

          public EditPropertiesResult editProperties(java.lang.String title,
                                                     boolean readOnly,
                                                     boolean dynamic,
                                                     boolean useDockableFrame,
                                                     boolean singleWindowMode,
                                                     java.lang.String contextName,
                                                     java.util.List<java.lang.String> slaves,
                                                     WindowLocation location,
                                                     DashboardProperties dashboard,
                                                     ComponentLocation componentLocation,
                                                     java.lang.String defaultGroup,
                                                     DataTable additionalActions,
                                                     java.lang.String... properties)

    - #### editTemplate

          protected java.lang.String editTemplate(java.lang.String type,
                                                  java.lang.String title,
                                                  java.lang.String defaultContext,
                                                  java.lang.String widgetContext,
                                                  java.lang.String widget,
                                                  int editMode)

    - #### editTemplate

          protected java.lang.String editTemplate(java.lang.String type,
                                                  java.lang.String title,
                                                  java.lang.String defaultContext,
                                                  java.lang.String widgetContext,
                                                  java.lang.String widget,
                                                  int editMode,
                                                  ComponentLocation componentLocation)

    - #### editWidget

          public java.lang.String editWidget(java.lang.String title,
                                             java.lang.String defaultContext,
                                             java.lang.String widgetContext,
                                             java.lang.String widget)

    - #### editProcessControlProgram

          public java.lang.String editProcessControlProgram(java.lang.String title,
                                                            java.lang.String defaultContext,
                                                            java.lang.String widgetContext,
                                                            java.lang.String widget,
                                                            int editMode)

    - #### editWorkflow

          public java.lang.String editWorkflow(java.lang.String title,
                                               java.lang.String defaultContext,
                                               java.lang.String widgetContext,
                                               java.lang.String widget,
                                               ComponentLocation componentLocation)

    - #### browse

          public void browse(java.net.URI url)

    - #### launchWidget

          public GenericActionResponse launchWidget(java.lang.String title,
                                                    java.lang.String widgetContext,
                                                    java.lang.String defaultContext,
                                                    java.lang.String encodedWidgetTemplate,
                                                    WindowLocation location,
                                                    DashboardProperties dp,
                                                    DataTable input,
                                                    DataTable widgetSettings,
                                                    ComponentLocation componentLocation)

    - #### launchProcessControlProgram

          public GenericActionResponse launchProcessControlProgram(java.lang.String title,
                                                                   java.lang.String widgetContext,
                                                                   java.lang.String defaultContext,
                                                                   java.lang.String encodedWidgetTemplate,
                                                                   WindowLocation location,
                                                                   DashboardProperties dp,
                                                                   DataTable input)

    - #### showEventLog

          public java.lang.Integer showEventLog(java.lang.String title,
                                                EntityList eventList,
                                                boolean showRealtime,
                                                boolean showHistory,
                                                boolean preloadHistory,
                                                boolean showContexts,
                                                boolean showNames,
                                                boolean showLevels,
                                                boolean showAcknowledgements,
                                                boolean showEnrichments,
                                                java.lang.Integer customListenerCode,
                                                WindowLocation location,
                                                DashboardProperties dashboard,
                                                ComponentLocation componentLocation)

    - #### showGuide

          public DataTable showGuide(java.lang.String title,
                                     java.lang.String invokerContext,
                                     java.lang.String macroName)

    - #### showError

          public void showError(java.lang.String title,
                                int level,
                                java.lang.String message,
                                java.lang.Throwable ex)

    - #### showError

          public void showError(java.lang.Throwable ex)

    - #### showMessage

          public void showMessage(java.lang.String message)

    - #### showMessage

          public void showMessage(java.lang.String title,
                                  java.lang.String message)

    - #### showMessage

          public void showMessage(java.lang.String title,
                                  java.lang.String message,
                                  int level)

    - #### showDiff

          public void showDiff(java.lang.String title,
                               java.lang.String firstFileTitle,
                               java.lang.String firstFile,
                               java.lang.String secondFileTitle,
                               java.lang.String secondFile,
                               ComponentLocation componentLocation)

    - #### editReport

          public DataTable editReport(java.lang.String title,
                                      java.lang.String template,
                                      DataTable data,
                                      DataTable subreports,
                                      DataTable resources)

    - #### showReport

          public void showReport(java.lang.String title,
                                 byte[] reportData,
                                 WindowLocation location,
                                 DashboardProperties dashboard)

    - #### showReport

          public void showReport(java.lang.String title,
                                 byte[] reportData,
                                 WindowLocation location,
                                 DashboardProperties dashboard,
                                 java.lang.String reportFormat,
                                 java.lang.String fileName)

    - #### selectContext

          public java.lang.String selectContext(java.lang.String title,
                                                java.lang.Class contextClass,
                                                java.lang.String defaultContext,
                                                java.lang.String expandedContext,
                                                ComponentLocation componentLocation)

    - #### selectEntities

          public java.util.List<Reference> selectEntities(RequestIdentifier id,
                                                          java.lang.String title,
                                                          java.util.Collection<java.lang.String> contextTypes,
                                                          java.lang.String rootContext,
                                                          java.lang.String defaultContext,
                                                          java.lang.String expandedContext,
                                                          boolean showChildren,
                                                          boolean allowMasks,
                                                          boolean showVars,
                                                          boolean showFuncs,
                                                          boolean showEvents,
                                                          boolean showFields,
                                                          boolean singleSelection,
                                                          boolean useCheckboxes,
                                                          ComponentLocation componentLocation)

    - #### editText

          public java.lang.String editText(java.lang.String title,
                                           java.lang.String text,
                                           java.lang.String mode,
                                           ComponentLocation componentLocation)

    - #### editCode

          public java.lang.String editCode(java.lang.String title,
                                           java.lang.String code,
                                           java.lang.String mode,
                                           ComponentLocation componentLocation)

    - #### editCode

          public DataTable editCode(java.lang.String title,
                                    java.lang.String code,
                                    java.lang.String mode,
                                    boolean compile,
                                    ComponentLocation componentLocation)

    - #### showSystemTree

          public void showSystemTree(java.lang.String title,
                                     Context root,
                                     ComponentLocation componentLocation)

    - #### showSystemTree

          public void showSystemTree(java.lang.String title,
                                     ComponentLocation componentLocation,
                                     java.lang.String... roots)

    - #### showSystemTree

          public void showSystemTree(java.lang.String title,
                                     java.util.Collection<java.lang.String> roots,
                                     ComponentLocation componentLocation)

    - #### activateDashboard

          public void activateDashboard(java.lang.String name)

    - #### activateDashboard

          public void activateDashboard(java.lang.String nameString,
                                        java.lang.String windowPathString)

    - #### activateDashboard

          public void activateDashboard(java.lang.String nameString,
                                        DataTable parameters)

    - #### editDashboard

          public void editDashboard(java.lang.String contextPath,
                                    java.lang.String defaultContext)

    - #### openDashboard

          public void openDashboard(java.lang.String fullContextPath,
                                    java.lang.String contextPath,
                                    java.lang.String defaultContext,
                                    WebWindowLocation location,
                                    ComponentLocation componentLocation)

    - #### openEvaluateExpressionEditorDialog

          public void openEvaluateExpressionEditorDialog(ComponentLocation componentLocation)